<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: alexaClientSDK::speechencoder Namespace Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1speechencoder.html">speechencoder</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#namespaces">Namespaces</a> &#124;
<a href="#nested-classes">Classes</a> &#124;
<a href="#func-members">Functions</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<div class="title">alexaClientSDK::speechencoder Namespace Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="namespaces"></a>
Namespaces</h2></td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1speechencoder_1_1test"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1speechencoder_1_1test.html">test</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1speechencoder_1_1_encoder_context.html">EncoderContext</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1speechencoder_1_1_opus_encoder_context.html">OpusEncoderContext</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1speechencoder_1_1_speech_encoder.html">SpeechEncoder</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:ab90fb5b1fcd3764d04f5080239d89aba"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1speechencoder.html#ab90fb5b1fcd3764d04f5080239d89aba">TAG</a> (&quot;OpusEncoderContext&quot;)</td></tr>
<tr class="memdesc:ab90fb5b1fcd3764d04f5080239d89aba"><td class="mdescLeft">&#160;</td><td class="mdescRight">String to identify log entries originating from this file.  <a href="#ab90fb5b1fcd3764d04f5080239d89aba">More...</a><br /></td></tr>
<tr class="separator:ab90fb5b1fcd3764d04f5080239d89aba"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad3c41647bdfb5b5e8c6b1e6661e82b50"><td class="memItemLeft" align="right" valign="top">uint16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1speechencoder.html#ad3c41647bdfb5b5e8c6b1e6661e82b50">Reverse16</a> (uint16_t value)</td></tr>
<tr class="separator:ad3c41647bdfb5b5e8c6b1e6661e82b50"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9585bc2a48a86e0f5d535287f9018720"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1speechencoder.html#a9585bc2a48a86e0f5d535287f9018720">TAG</a> (&quot;SpeechEncoder&quot;)</td></tr>
<tr class="memdesc:a9585bc2a48a86e0f5d535287f9018720"><td class="mdescLeft">&#160;</td><td class="mdescRight">String to identify log entries originating from this file.  <a href="#a9585bc2a48a86e0f5d535287f9018720">More...</a><br /></td></tr>
<tr class="separator:a9585bc2a48a86e0f5d535287f9018720"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:a8c6d2d8814b551588a107767f1853e7d"><td class="memItemLeft" align="right" valign="top">static constexpr char&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1speechencoder.html#a8c6d2d8814b551588a107767f1853e7d">AVS_FORMAT</a> [] = &quot;OPUS&quot;</td></tr>
<tr class="memdesc:a8c6d2d8814b551588a107767f1853e7d"><td class="mdescLeft">&#160;</td><td class="mdescRight">AVS OPUS format name.  <a href="#a8c6d2d8814b551588a107767f1853e7d">More...</a><br /></td></tr>
<tr class="separator:a8c6d2d8814b551588a107767f1853e7d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a42c35c6e4fc3220d068dfbfffeacba1f"><td class="memItemLeft" align="right" valign="top">static constexpr unsigned int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1speechencoder.html#a42c35c6e4fc3220d068dfbfffeacba1f">SAMPLE_RATE</a> = 16000</td></tr>
<tr class="memdesc:a42c35c6e4fc3220d068dfbfffeacba1f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Audio sample rate: 16kHz.  <a href="#a42c35c6e4fc3220d068dfbfffeacba1f">More...</a><br /></td></tr>
<tr class="separator:a42c35c6e4fc3220d068dfbfffeacba1f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a998ff4d9100adae9136a5605cb9f0e09"><td class="memItemLeft" align="right" valign="top">static constexpr unsigned int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1speechencoder.html#a998ff4d9100adae9136a5605cb9f0e09">BIT_RATE</a> = 32000</td></tr>
<tr class="memdesc:a998ff4d9100adae9136a5605cb9f0e09"><td class="mdescLeft">&#160;</td><td class="mdescRight">OPUS bitrate: 32kbps CBR.  <a href="#a998ff4d9100adae9136a5605cb9f0e09">More...</a><br /></td></tr>
<tr class="separator:a998ff4d9100adae9136a5605cb9f0e09"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae9ba25b83ad115d04d4c8bd91479ee9f"><td class="memItemLeft" align="right" valign="top">static constexpr unsigned int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1speechencoder.html#ae9ba25b83ad115d04d4c8bd91479ee9f">FRAME_LENGTH</a> = 20</td></tr>
<tr class="memdesc:ae9ba25b83ad115d04d4c8bd91479ee9f"><td class="mdescLeft">&#160;</td><td class="mdescRight">OPUS frame length: 20ms.  <a href="#ae9ba25b83ad115d04d4c8bd91479ee9f">More...</a><br /></td></tr>
<tr class="separator:ae9ba25b83ad115d04d4c8bd91479ee9f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aee722a0bdc5db5592bf73348339e0c47"><td class="memItemLeft" align="right" valign="top">static constexpr unsigned int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1speechencoder.html#aee722a0bdc5db5592bf73348339e0c47">FRAME_SIZE</a> = (<a class="el" href="namespacealexa_client_s_d_k_1_1speechencoder.html#a42c35c6e4fc3220d068dfbfffeacba1f">SAMPLE_RATE</a> / 1000) * <a class="el" href="namespacealexa_client_s_d_k_1_1speechencoder.html#ae9ba25b83ad115d04d4c8bd91479ee9f">FRAME_LENGTH</a></td></tr>
<tr class="memdesc:aee722a0bdc5db5592bf73348339e0c47"><td class="mdescLeft">&#160;</td><td class="mdescRight">PCM frame size.  <a href="#aee722a0bdc5db5592bf73348339e0c47">More...</a><br /></td></tr>
<tr class="separator:aee722a0bdc5db5592bf73348339e0c47"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5e3d10d5315d6748b4d35bc68dfc7cfe"><td class="memItemLeft" align="right" valign="top">static constexpr unsigned int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1speechencoder.html#a5e3d10d5315d6748b4d35bc68dfc7cfe">PACKET_SIZE</a> = ((<a class="el" href="namespacealexa_client_s_d_k_1_1speechencoder.html#a998ff4d9100adae9136a5605cb9f0e09">BIT_RATE</a> / CHAR_BIT) / 1000) * <a class="el" href="namespacealexa_client_s_d_k_1_1speechencoder.html#ae9ba25b83ad115d04d4c8bd91479ee9f">FRAME_LENGTH</a></td></tr>
<tr class="memdesc:a5e3d10d5315d6748b4d35bc68dfc7cfe"><td class="mdescLeft">&#160;</td><td class="mdescRight">OPUS packet size (CBR)  <a href="#a5e3d10d5315d6748b4d35bc68dfc7cfe">More...</a><br /></td></tr>
<tr class="separator:a5e3d10d5315d6748b4d35bc68dfc7cfe"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a704cbaa04bcbb26c454ff2b5443d25b7"><td class="memItemLeft" align="right" valign="top">static constexpr unsigned int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1speechencoder.html#a704cbaa04bcbb26c454ff2b5443d25b7">MAX_PACKET_SIZE</a> = <a class="el" href="namespacealexa_client_s_d_k_1_1speechencoder.html#a5e3d10d5315d6748b4d35bc68dfc7cfe">PACKET_SIZE</a> * 2</td></tr>
<tr class="memdesc:a704cbaa04bcbb26c454ff2b5443d25b7"><td class="mdescLeft">&#160;</td><td class="mdescRight">Maximum packet size.  <a href="#a704cbaa04bcbb26c454ff2b5443d25b7">More...</a><br /></td></tr>
<tr class="separator:a704cbaa04bcbb26c454ff2b5443d25b7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab4a956930376714ceaf3769c44abbf55"><td class="memItemLeft" align="right" valign="top">static constexpr unsigned int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1speechencoder.html#ab4a956930376714ceaf3769c44abbf55">MAX_READERS</a> = 10</td></tr>
<tr class="memdesc:ab4a956930376714ceaf3769c44abbf55"><td class="mdescLeft">&#160;</td><td class="mdescRight">The maximum number of readers of the output stream.  <a href="#ab4a956930376714ceaf3769c44abbf55">More...</a><br /></td></tr>
<tr class="separator:ab4a956930376714ceaf3769c44abbf55"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afc67ada0900b26a5978525e6f922b7ca"><td class="memItemLeft" align="right" valign="top">static constexpr unsigned int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1speechencoder.html#afc67ada0900b26a5978525e6f922b7ca">READ_TIMEOUT_MS</a> = 10</td></tr>
<tr class="memdesc:afc67ada0900b26a5978525e6f922b7ca"><td class="mdescLeft">&#160;</td><td class="mdescRight">Reading timeout from input audio stream.  <a href="#afc67ada0900b26a5978525e6f922b7ca">More...</a><br /></td></tr>
<tr class="separator:afc67ada0900b26a5978525e6f922b7ca"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2e7c40e1533a954d4c1edbdd622a6aea"><td class="memItemLeft" align="right" valign="top">static const auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1speechencoder.html#a2e7c40e1533a954d4c1edbdd622a6aea">WRITE_TIMEOUT_MS</a> = std::chrono::milliseconds(100)</td></tr>
<tr class="memdesc:a2e7c40e1533a954d4c1edbdd622a6aea"><td class="mdescLeft">&#160;</td><td class="mdescRight">Timeout between write retrying.  <a href="#a2e7c40e1533a954d4c1edbdd622a6aea">More...</a><br /></td></tr>
<tr class="separator:a2e7c40e1533a954d4c1edbdd622a6aea"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4604890b20d4e3406876d9e1a6f7ecc0"><td class="memItemLeft" align="right" valign="top">static constexpr unsigned int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1speechencoder.html#a4604890b20d4e3406876d9e1a6f7ecc0">MAX_OUTPUT_PACKETS</a> = 20</td></tr>
<tr class="memdesc:a4604890b20d4e3406876d9e1a6f7ecc0"><td class="mdescLeft">&#160;</td><td class="mdescRight">The maximum number of packets to be buffered to the output stream.  <a href="#a4604890b20d4e3406876d9e1a6f7ecc0">More...</a><br /></td></tr>
<tr class="separator:a4604890b20d4e3406876d9e1a6f7ecc0"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Function Documentation</h2>
<a id="ad3c41647bdfb5b5e8c6b1e6661e82b50"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad3c41647bdfb5b5e8c6b1e6661e82b50">&#9670;&nbsp;</a></span>Reverse16()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">uint16_t alexaClientSDK::speechencoder::Reverse16 </td>
          <td>(</td>
          <td class="paramtype">uint16_t&#160;</td>
          <td class="paramname"><em>value</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a9585bc2a48a86e0f5d535287f9018720"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9585bc2a48a86e0f5d535287f9018720">&#9670;&nbsp;</a></span>TAG() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static const std::string alexaClientSDK::speechencoder::TAG </td>
          <td>(</td>
          <td class="paramtype">&quot;SpeechEncoder&quot;&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>String to identify log entries originating from this file. </p>

</div>
</div>
<a id="ab90fb5b1fcd3764d04f5080239d89aba"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab90fb5b1fcd3764d04f5080239d89aba">&#9670;&nbsp;</a></span>TAG() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static const std::string alexaClientSDK::speechencoder::TAG </td>
          <td>(</td>
          <td class="paramtype">&quot;OpusEncoderContext&quot;&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>String to identify log entries originating from this file. </p>

</div>
</div>
<h2 class="groupheader">Variable Documentation</h2>
<a id="a8c6d2d8814b551588a107767f1853e7d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8c6d2d8814b551588a107767f1853e7d">&#9670;&nbsp;</a></span>AVS_FORMAT</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">constexpr char alexaClientSDK::speechencoder::AVS_FORMAT[] = &quot;OPUS&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>AVS OPUS format name. </p>

</div>
</div>
<a id="a998ff4d9100adae9136a5605cb9f0e09"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a998ff4d9100adae9136a5605cb9f0e09">&#9670;&nbsp;</a></span>BIT_RATE</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">constexpr unsigned int alexaClientSDK::speechencoder::BIT_RATE = 32000</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>OPUS bitrate: 32kbps CBR. </p>

</div>
</div>
<a id="ae9ba25b83ad115d04d4c8bd91479ee9f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae9ba25b83ad115d04d4c8bd91479ee9f">&#9670;&nbsp;</a></span>FRAME_LENGTH</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">constexpr unsigned int alexaClientSDK::speechencoder::FRAME_LENGTH = 20</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>OPUS frame length: 20ms. </p>

</div>
</div>
<a id="aee722a0bdc5db5592bf73348339e0c47"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aee722a0bdc5db5592bf73348339e0c47">&#9670;&nbsp;</a></span>FRAME_SIZE</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">constexpr unsigned int alexaClientSDK::speechencoder::FRAME_SIZE = (<a class="el" href="namespacealexa_client_s_d_k_1_1speechencoder.html#a42c35c6e4fc3220d068dfbfffeacba1f">SAMPLE_RATE</a> / 1000) * <a class="el" href="namespacealexa_client_s_d_k_1_1speechencoder.html#ae9ba25b83ad115d04d4c8bd91479ee9f">FRAME_LENGTH</a></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>PCM frame size. </p>

</div>
</div>
<a id="a4604890b20d4e3406876d9e1a6f7ecc0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4604890b20d4e3406876d9e1a6f7ecc0">&#9670;&nbsp;</a></span>MAX_OUTPUT_PACKETS</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">constexpr unsigned int alexaClientSDK::speechencoder::MAX_OUTPUT_PACKETS = 20</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>The maximum number of packets to be buffered to the output stream. </p>

</div>
</div>
<a id="a704cbaa04bcbb26c454ff2b5443d25b7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a704cbaa04bcbb26c454ff2b5443d25b7">&#9670;&nbsp;</a></span>MAX_PACKET_SIZE</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">constexpr unsigned int alexaClientSDK::speechencoder::MAX_PACKET_SIZE = <a class="el" href="namespacealexa_client_s_d_k_1_1speechencoder.html#a5e3d10d5315d6748b4d35bc68dfc7cfe">PACKET_SIZE</a> * 2</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Maximum packet size. </p>

</div>
</div>
<a id="ab4a956930376714ceaf3769c44abbf55"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab4a956930376714ceaf3769c44abbf55">&#9670;&nbsp;</a></span>MAX_READERS</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">constexpr unsigned int alexaClientSDK::speechencoder::MAX_READERS = 10</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>The maximum number of readers of the output stream. </p>

</div>
</div>
<a id="a5e3d10d5315d6748b4d35bc68dfc7cfe"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5e3d10d5315d6748b4d35bc68dfc7cfe">&#9670;&nbsp;</a></span>PACKET_SIZE</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">constexpr unsigned int alexaClientSDK::speechencoder::PACKET_SIZE = ((<a class="el" href="namespacealexa_client_s_d_k_1_1speechencoder.html#a998ff4d9100adae9136a5605cb9f0e09">BIT_RATE</a> / CHAR_BIT) / 1000) * <a class="el" href="namespacealexa_client_s_d_k_1_1speechencoder.html#ae9ba25b83ad115d04d4c8bd91479ee9f">FRAME_LENGTH</a></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>OPUS packet size (CBR) </p>

</div>
</div>
<a id="afc67ada0900b26a5978525e6f922b7ca"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afc67ada0900b26a5978525e6f922b7ca">&#9670;&nbsp;</a></span>READ_TIMEOUT_MS</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">constexpr unsigned int alexaClientSDK::speechencoder::READ_TIMEOUT_MS = 10</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Reading timeout from input audio stream. </p>

</div>
</div>
<a id="a42c35c6e4fc3220d068dfbfffeacba1f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a42c35c6e4fc3220d068dfbfffeacba1f">&#9670;&nbsp;</a></span>SAMPLE_RATE</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">constexpr unsigned int alexaClientSDK::speechencoder::SAMPLE_RATE = 16000</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Audio sample rate: 16kHz. </p>

</div>
</div>
<a id="a2e7c40e1533a954d4c1edbdd622a6aea"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2e7c40e1533a954d4c1edbdd622a6aea">&#9670;&nbsp;</a></span>WRITE_TIMEOUT_MS</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const auto alexaClientSDK::speechencoder::WRITE_TIMEOUT_MS = std::chrono::milliseconds(100)</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Timeout between write retrying. </p>

</div>
</div>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
